commit:     d461696e76623c354d23d88b2afd0e730cfc3a7e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 23 18:38:01 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 23 18:38:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d461696e

xfce-extra/xfce4-cpugraph-plugin: Bump to 1.2.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-cpugraph-plugin/Manifest          |  1 +
 .../xfce4-cpugraph-plugin-1.2.3.ebuild             | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/xfce-extra/xfce4-cpugraph-plugin/Manifest 
b/xfce-extra/xfce4-cpugraph-plugin/Manifest
index d7bdb8f498d..a49bb89bb58 100644
--- a/xfce-extra/xfce4-cpugraph-plugin/Manifest
+++ b/xfce-extra/xfce4-cpugraph-plugin/Manifest
@@ -1,2 +1,3 @@
 DIST xfce4-cpugraph-plugin-1.2.1.tar.bz2 424101 BLAKE2B 
228277cccbe89ac43b78d41de489f1b58e30cc8e6f900840bf0d3c41d3f392d10fcba43b64bb8edb4ecade363d63af2860f1174b5b1b944ac7dc261071397111
 SHA512 
ca8b7dc1ccad163e8bbe28723ded0c9cf5a1b72aa350e1d9c8e0b0654e97704f0ffba9a7128fc6da289dbea7b9668f1d493eca09e87abd0cdd109998a2749fe1
 DIST xfce4-cpugraph-plugin-1.2.2.tar.bz2 425245 BLAKE2B 
1ca1bc0d210b607079ba4706db5c0bd58b3fae17d22f82722f55d685132bf4ea04ec28d148eafe1183cff517c7ea859032a92ed1e5a20c7bbaac77ba9249a4ed
 SHA512 
18bdda603e657b87bf3c4bbf5785aaa5b735102dfde515f2850396b2501ba8d5305245b5b4cbf3157bde8178167499ba3def7535ba357750a311531b9c2072a9
+DIST xfce4-cpugraph-plugin-1.2.3.tar.bz2 427880 BLAKE2B 
1e2223eab1c8db275eb2aa43197c9aac8a79faee96778a5b684c0dc74e1b55046d0c1bbe3c00d316118be33ef3ee3777cafd258ef3919d36bbbb073e51fc9455
 SHA512 
79d7c5b328e778156c6a35b1f4947732f42aaffb23f05fdc5e1e7668d03149f1a72ca4bf9b835904a93db6b23660cb10118b4d046b1bd2dded38ef382719052e

diff --git 
a/xfce-extra/xfce4-cpugraph-plugin/xfce4-cpugraph-plugin-1.2.3.ebuild 
b/xfce-extra/xfce4-cpugraph-plugin/xfce4-cpugraph-plugin-1.2.3.ebuild
new file mode 100644
index 00000000000..45e92732fa9
--- /dev/null
+++ b/xfce-extra/xfce4-cpugraph-plugin/xfce4-cpugraph-plugin-1.2.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="A system load plug-in for the Xfce panel"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="BSD-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND=">=x11-libs/gtk+-3.22:3
+       >=xfce-base/libxfce4ui-4.12:=
+       >=xfce-base/xfce4-panel-4.12:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to